import axios from "@/axios";

export function findStudentLessonPlans(page, size, name) {
    return axios.post('/studentLessonPlans/list', {
        page: page,
        size: size,
        name: name ?? ''
    })
}

export function finishLessonPlan(studentId, planId) {
    return axios.post('/studentLessonPlans/finish', {
        studentId: studentId,
        planId: planId
    })
}

export function findStudentPlanHistory(studentId) {
    return axios.post('/studentLessonPlans/history', {
        studentId: studentId
    })
}
